Exodus 7.10

Macros | Functions | Variables
exo_jack-windows.c File Reference
`#include "exodusII.h"`
`#include "exodusII_int.h"`
`#include "netcdf.h"`
`#include <ctype.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`

## Macros
#define | real float
#define | entity_id int
#define | F2C(name) name

## Functions
static void | ex_fcdcpy (char *fstring, int fslen, char *sstring)
static void | ex_fstrncpy (char *target, char *source, int maxlen)
static void | ex_nstrncpy (char *target, char *source, int maxlen)
int F2C() | EXCRE (char *path, int *clobmode, int *cpu_word_size, int *io_word_size, int *ierr, int pathlen)
int F2C() | EXOPEN (char *path, int *mode, int *cpu_word_size, int *io_word_size, float *version, int *ierr, int pathlen)
void F2C() | EXCLOS (int *idexo, int *ierr)
void F2C() | EXUPDA (int *idexo, int *ierr)
void F2C() | EXPINI (int *idexo, char *title, void_int *num_dim, void_int *num_nodes, void_int *num_elem, void_int *num_elem_blk, void_int *num_node_sets, void_int *num_side_sets, int *ierr, int titlelen)
void F2C() | EXGINI (int *idexo, char *title, void_int *num_dim, void_int *num_nodes, void_int *num_elem, void_int *num_elem_blk, void_int *num_node_sets, void_int *num_side_sets, int *ierr, int titlelen)
void F2C() | EXPQA (int *idexo, int *num_qa_records, char *qa_record, int *ierr, int qa_recordlen)
void F2C() | EXGQA (int *idexo, char *qa_record, int *ierr, int qa_recordlen)
void F2C() | EXPINF (int *idexo, int *num_info, char *info, int *ierr, int infolen)
void F2C() | EXGINF (int *idexo, char *info, int *ierr, int infolen)
void F2C() | EXPCOR (int *idexo, real *x_coor, real *y_coor, real *z_coor, int *ierr)
void F2C() | EXGCOR (int *idexo, real *x_coor, real *y_coor, real *z_coor, int *ierr)
void F2C() | EXPCON (int *idexo, char *coord_names, int *ierr, int coord_nameslen)
void F2C() | EXGCON (int *idexo, char *coord_names, int *ierr, int coord_nameslen)
void F2C() | EXPMAP (int *idexo, void_int *elem_map, int *ierr)
void F2C() | EXGMAP (int *idexo, void_int *elem_map, int *ierr)
void F2C() | EXPCLB (int *idexo, void_int *elem_blk_id, char *elem_type, void_int *num_elem_this_blk, void_int *num_nodes_per_elem, void_int *num_attr, int *create_maps, int *ierr, int elem_typelen)
void F2C() | EXPELB (int *idexo, entity_id *elem_blk_id, char *elem_type, void_int *num_elem_this_blk, void_int *num_nodes_per_elem, void_int *num_attr, int *ierr, int elem_typelen)
void F2C() | EXGELB (int *idexo, entity_id *elem_blk_id, char *elem_type, void_int *num_elem_this_blk, void_int *num_nodes_per_elem, void_int *num_attr, int *ierr, int elem_typelen)
void F2C() | EXGEBI (int *idexo, void_int *elem_blk_ids, int *ierr)
void F2C() | EXPELC (int *idexo, entity_id *elem_blk_id, void_int *connect, int *ierr)
void F2C() | EXGELC (int *idexo, entity_id *elem_blk_id, void_int *connect, int *ierr)
void F2C() | EXPECPP (int *idexo, int *obj_type, entity_id *elem_blk_id, int *counts, int *ierr)
void F2C() | EXGECPP (int *idexo, int *obj_type, entity_id *elem_blk_id, int *counts, int *ierr)
void F2C() | EXPEAT (int *idexo, entity_id *elem_blk_id, real *attrib, int *ierr)
void F2C() | EXGEAT (int *idexo, entity_id *elem_blk_id, real *attrib, int *ierr)
void F2C() | EXGEAN (int *idexo, entity_id *elem_blk_id, int *num_attr, char *names, int *ierr, int nameslen)
void F2C() | EXPEAN (int *idexo, entity_id *elem_blk_id, int *num_attr, char *names, int *ierr, int nameslen)
void F2C() | EXPNAMS (int *idexo, int *type, int *num_obj, char *names, int *ierr, int nameslen)
void F2C() | EXGNAMS (int *idexo, int *type, int *num_obj, char *names, int *ierr, int nameslen)
void F2C() | EXPPN (int *idexo, int *obj_type, int *num_props, char *prop_names, int *ierr, int prop_nameslen)
void F2C() | EXGPN (int *idexo, int *obj_type, char *prop_names, int *ierr, int prop_nameslen)
void F2C() | EXPP (int *idexo, int *obj_type, entity_id *obj_id, char *prop_name, entity_id *value, int *ierr, int prop_namelen)
void F2C() | EXGP (int *idexo, int *obj_type, entity_id *obj_id, char *prop_name, void_int *value, int *ierr, int prop_namelen)
void F2C() | EXGPA (int *idexo, int *obj_type, char *prop_name, void_int *values, int *ierr, int prop_namelen)
void F2C() | EXPPA (int *idexo, int *obj_type, char *prop_name, void_int *values, int *ierr, int prop_namelen)
void F2C() | EXPNP (int *idexo, entity_id *node_set_id, void_int *num_nodes_in_set, void_int *num_dist_in_set, int *ierr)
void F2C() | EXGNP (int *idexo, entity_id *node_set_id, void_int *num_nodes_in_set, void_int *num_dist_in_set, int *ierr)
void F2C() | EXPNS (int *idexo, entity_id *node_set_id, void_int *node_set_node_list, int *ierr)
void F2C() | EXPNSD (int *idexo, entity_id *node_set_id, real *node_set_dist_fact, int *ierr)
void F2C() | EXGNS (int *idexo, entity_id *node_set_id, void_int *node_set_node_list, int *ierr)
void F2C() | EXGNSD (int *idexo, entity_id *node_set_id, real *node_set_dist_fact, int *ierr)
void F2C() | EXGNSI (int *idexo, void_int *node_set_ids, int *ierr)
void F2C() | EXPCNS (int *idexo, void_int *node_set_ids, void_int *num_nodes_per_set, void_int *num_dist_per_set, void_int *node_sets_node_index, void_int *node_sets_dist_index, void_int *node_sets_node_list, real *node_sets_dist_fact, int *ierr)
void F2C() | EXGCNS (int *idexo, void_int *node_set_ids, void_int *num_nodes_per_set, void_int *num_dist_per_set, void_int *node_sets_node_index, void_int *node_sets_dist_index, void_int *node_sets_node_list, real *node_sets_dist_fact, int *ierr)
void F2C() | EXPSP (int *idexo, entity_id *side_set_id, void_int *num_sides_in_set, void_int *num_df_in_set, int *ierr)
void F2C() | EXGSP (int *idexo, entity_id *side_set_id, void_int *num_sides_in_set, void_int *num_df_in_set, int *ierr)
void F2C() | EXGSNL (int *idexo, entity_id *side_set_id, void_int *num_nodes_in_set, int *ierr)
void F2C() | EXPSS (int *idexo, entity_id *side_set_id, void_int *side_set_elem_list, void_int *side_set_side_list, int *ierr)
void F2C() | EXGSS (int *idexo, entity_id *side_set_id, void_int *side_set_elem_list, void_int *side_set_side_list, int *ierr)
void F2C() | EXPSSD (int *idexo, entity_id *side_set_id, real *side_set_dist_fact, int *ierr)
void F2C() | EXGSSD (int *idexo, entity_id *side_set_id, real *side_set_dist_fact, int *ierr)
void F2C() | EXGSSI (int *idexo, void_int *side_set_ids, int *ierr)
void F2C() | EXPCSS (int *idexo, void_int *side_set_ids, void_int *num_elem_per_set, void_int *num_dist_per_set, void_int *side_sets_elem_index, void_int *side_sets_dist_index, void_int *side_sets_elem_list, void_int *side_sets_side_list, real *side_sets_dist_fact, int *ierr)
void F2C() | EXGCSS (int *idexo, void_int *side_set_ids, void_int *num_elem_per_set, void_int *num_dist_per_set, void_int *side_sets_elem_index, void_int *side_sets_dist_index, void_int *side_sets_elem_list, void_int *side_sets_side_list, real *side_sets_dist_fact, int *ierr)
void F2C() | EXGCSSF (int *idexo, void_int *side_set_ids, void_int *num_elem_per_set, void_int *num_dist_per_set, void_int *side_sets_elem_index, void_int *side_sets_dist_index, void_int *side_sets_elem_list, void_int *side_sets_side_list, int *ierr)
void F2C() | EXPVP (int *idexo, char *var_type, int *num_vars, int *ierr, int var_typelen)
void F2C() | EXGVP (int *idexo, char *var_type, int *num_vars, int *ierr, int var_typelen)
void F2C() | EXPVAN (int *idexo, char *var_type, int *num_vars, char *var_names, int *ierr, int var_typelen, int var_nameslen)
void F2C() | EXGVAN (int *idexo, char *var_type, int *num_vars, char *var_names, int *ierr, int var_typelen, int var_nameslen)
void F2C() | EXPVTT (int *idexo, int *num_elem_blk, int *num_elem_var, int *elem_var_tab, int *ierr)
void F2C() | EXPNSTT (int *idexo, int *num_entity, int *num_var, int *var_tab, int *ierr)
void F2C() | EXPSSTT (int *idexo, int *num_entity, int *num_var, int *var_tab, int *ierr)
void F2C() | EXGVTT (int *idexo, int *num_elem_blk, int *num_elem_var, int *elem_var_tab, int *ierr)
void F2C() | EXGNSTT (int *idexo, int *num_entity, int *num_var, int *var_tab, int *ierr)
void F2C() | EXGSSTT (int *idexo, int *num_entity, int *num_var, int *var_tab, int *ierr)
void F2C() | EXPGV (int *idexo, int *time_step, int *num_glob_vars, real *glob_var_vals, int *ierr)
void F2C() | EXGGV (int *idexo, int *time_step, int *num_glob_vars, real *glob_var_vals, int *ierr)
void F2C() | EXGGVT (int *idexo, int *glob_var_index, int *beg_time_step, int *end_time_step, real *glob_var_vals, int *ierr)
void F2C() | EXPNV (int *idexo, int *time_step, int *nodal_var_index, void_int *num_nodes, real *nodal_var_vals, int *ierr)
void F2C() | EXGNV (int *idexo, int *time_step, int *nodal_var_index, void_int *num_nodes, real *nodal_var_vals, int *ierr)
void F2C() | EXGNVT (int *idexo, int *nodal_var_index, void_int *node_number, int *beg_time_step, int *end_time_step, real *nodal_var_vals, int *ierr)
void F2C() | EXPEV (int *idexo, int *time_step, int *elem_var_index, entity_id *elem_blk_id, void_int *num_elem_this_blk, real *elem_var_vals, int *ierr)
void F2C() | EXGEV (int *idexo, int *time_step, int *elem_var_index, entity_id *elem_blk_id, void_int *num_elem_this_blk, real *elem_var_vals, int *ierr)
void F2C() | EXGEVT (int *idexo, int *elem_var_index, void_int *elem_number, int *beg_time_step, int *end_time_step, real *elem_var_vals, int *ierr)
void F2C() | EXPNSV (int *idexo, int *time_step, int *var_index, entity_id *id, void_int *num_entity, real *var_vals, int *ierr)
void F2C() | EXGNSV (int *idexo, int *time_step, int *var_index, entity_id *id, void_int *num_entity, real *var_vals, int *ierr)
void F2C() | EXPSSV (int *idexo, int *time_step, int *var_index, entity_id *id, void_int *num_entity, real *var_vals, int *ierr)
void F2C() | EXGSSV (int *idexo, int *time_step, int *var_index, entity_id *id, void_int *num_entity, real *var_vals, int *ierr)
void F2C() | EXPTIM (int *idexo, int *time_step, real *time_value, int *ierr)
void F2C() | EXGTIM (int *idexo, int *time_step, real *time_value, int *ierr)
void F2C() | EXGATM (int *idexo, real *time_values, int *ierr)
void F2C() | EXINQ (int *idexo, int *req_info, void_int *ret_int, float *ret_float, char *ret_char, int *ierr, int ret_charlen)
int64_t F2C() | EXINQI (int *idexo, int *req_info)
void F2C() | EXCN2S (int *idexo, void_int *num_elem_per_set, void_int *num_nodes_per_set, void_int *side_sets_elem_index, void_int *side_sets_node_index, void_int *side_sets_elem_list, void_int *side_sets_node_list, void_int *side_sets_side_list, int *ierr)
void F2C() | EXGSSN (int *idexo, entity_id *side_set_id, int *side_set_node_cnt_list, void_int *side_set_node_list, int *ierr)
void F2C() | EXGSSC (int *idexo, entity_id *side_set_id, int *side_set_node_cnt_list, int *ierr)
void F2C() | EXGCSSC (int *idexo, int *side_set_node_cnt_list, int *ierr)
void F2C() | EXGFRM (int *idexo, int *nframeo, void_int *cfids, real *coord, int *tags, int *ierr)
void F2C() | EXPFRM (int *idexo, int *nframe, void_int *cfids, real *coord, int *tags, int *ierr)
int F2C() | EXCPWS ()
int F2C() | EXLGMD (int *idexo)
void F2C() | EXERR (char *pname, char *err_string, int *errcode, int pnamelen, int err_stringlen)
void F2C() | EXOPTS (int *option_val, int *ierr)
void F2C() | EXMXNM (int *idexo, int *length, int *ierr)
void F2C() | EXCOPY (int *idexo_in, int *idexo_out, int *ierr)
void F2C() | EXGEM (int *idexo, entity_id *map_id, void_int *elem_map, int *ierr)
void F2C() | EXGPEM (int *idexo, entity_id *map_id, void_int *start, void_int *count, void_int *elem_map, int *ierr)
void F2C() | EXGENM (int *idexo, void_int *elem_map, int *ierr)
void F2C() | EXGMP (int *idexo, int *num_node_maps, int *num_elem_maps, int *ierr)
void F2C() | EXGNM (int *idexo, entity_id *map_id, void_int *node_map, int *ierr)
void F2C() | EXGNNM (int *idexo, void_int *node_map, int *ierr)
void F2C() | EXGVNM (int *idexo, char *var_type, int *var_index, char *var_name, int *ierr, int var_typelen, int var_namelen)
void F2C() | EXPEM (int *idexo, entity_id *map_id, void_int *elem_map, int *ierr)
void F2C() | EXPPEM (int *idexo, entity_id *map_id, void_int *start, void_int *count, void_int *elem_map, int *ierr)
void F2C() | EXPENM (int *idexo, void_int *elem_map, int *ierr)
void F2C() | EXPMP (int *idexo, int *num_node_maps, int *num_elem_maps, int *ierr)
void F2C() | EXPNM (int *idexo, entity_id *map_id, void_int *node_map, int *ierr)
void F2C() | EXPNNM (int *idexo, void_int *node_map, int *ierr)
void F2C() | EXPVNM (int *idexo, char *var_type, int *var_index, char *var_name, int *ierr, int var_typelen, int var_namelen)
void F2C() | EXGII (int *idne, int *nproc, int *nproc_in_f, char *ftype, int *ierr, size_t ftypelen)
void F2C() | EXPII (int *idne, int *nproc, int *nproc_in_f, char *ftype, int *ierr, size_t ftypelen)
void F2C() | EXGIG (int *idne, void_int *nnodes_g, void_int *nelems_g, void_int *nelem_blks_g, void_int *nnode_sets_g, void_int *nside_sets_g, int *ierr)
void F2C() | EXPIG (int *idne, void_int *nnodes_g, void_int *nelems_g, void_int *nelem_blks_g, void_int *nnode_sets_g, void_int *nside_sets_g, int *ierr)
void F2C() | EXGLBP (int *idne, void_int *nint_nodes, void_int *nbor_nodes, void_int *next_nodes, void_int *nint_elems, void_int *nbor_elems, void_int *nnode_cmaps, void_int *nelem_cmaps, int *processor, int *ierr)
void F2C() | EXPLBP (int *idne, void_int *nint_nodes, void_int *nbor_nodes, void_int *next_nodes, void_int *nint_elems, void_int *nbor_elems, void_int *nnode_cmaps, void_int *nelem_cmaps, int *processor, int *ierr)
void F2C() | EXPLBPC (int *idne, void_int *nint_nodes, void_int *nbor_nodes, void_int *next_nodes, void_int *nint_elems, void_int *nbor_elems, void_int *nnode_cmaps, void_int *nelem_cmaps, int *ierr)
void F2C() | EXGNSPG (int *idne, void_int *ns_ids_glob, void_int *ns_n_cnt_glob, void_int *ns_df_cnt_glob, int *ierr)
void F2C() | EXPNSPG (int *idne, void_int *global_ids, void_int *global_n_cnts, void_int *global_df_cnts, int *ierr)
void F2C() | EXGSSPG (int *idne, void_int *ss_ids_glob, void_int *ss_n_cnt_glob, void_int *ss_df_cnt_glob, int *ierr)
void F2C() | EXPSSPG (int *idne, void_int *global_ids, void_int *global_el_cnts, void_int *global_df_cnts, int *ierr)
void F2C() | EXGEBIG (int *idne, void_int *el_blk_ids, void_int *el_blk_cnts, int *ierr)
void F2C() | EXPEBIG (int *idne, void_int *el_blk_ids, void_int *el_blk_cnts, int *ierr)
void F2C() | EXGNSS (int *idne, entity_id *ss_id, void_int *start, void_int *count, void_int *ss_elem_list, void_int *ss_side_list, int *ierr)
void F2C() | EXPNSS (int *idne, entity_id *ss_id, void_int *start, void_int *count, void_int *ss_elem_list, void_int *ss_side_list, int *ierr)
void F2C() | EXGNSSD (int *idne, entity_id *ss_id, void_int *start, void_int *count, real *ss_df, int *ierr)
void F2C() | EXPNSSD (int *idne, entity_id *ss_id, void_int *start, void_int *count, real *ss_df, int *ierr)
void F2C() | EXGNNS (int *idne, entity_id *ns_id, void_int *start, void_int *count, void_int *ns_node_list, int *ierr)
void F2C() | EXPNNS (int *idne, entity_id *ns_id, void_int *start, void_int *count, void_int *ns_node_list, int *ierr)
void F2C() | EXGNNSD (int *idne, entity_id *ns_id, void_int *start, void_int *count, real *ns_df, int *ierr)
void F2C() | EXPNNSD (int *idne, entity_id *ns_id, void_int *start, void_int *count, real *ns_df, int *ierr)
void F2C() | EXGNCOR (int *idne, void_int *start, void_int *count, real *x_coor, real *y_coor, real *z_coor, int *ierr)
void F2C() | EXPNCOR (int *idne, void_int *start, void_int *count, real *x_coor, real *y_coor, real *z_coor, int *ierr)
void F2C() | EXGNEC (int *idne, entity_id *elem_blk_id, void_int *start, void_int *count, void_int *connect, int *ierr)
void F2C() | EXPNEC (int *idne, entity_id *elem_blk_id, void_int *start, void_int *count, void_int *connect, int *ierr)
void F2C() | EXGNEAT (int *idne, entity_id *elem_blk_id, void_int *start, void_int *count, real *attrib, int *ierr)
void F2C() | EXPNEAT (int *idne, entity_id *elem_blk_id, void_int *start, void_int *count, real *attrib, int *ierr)
void F2C() | EXGELT (int *idne, entity_id *elem_blk_id, char *elem_type, int *ierr, size_t elem_typelen)
void F2C() | EXGNEV (int *idne, int *time_step, int *elem_var_index, entity_id *elem_blk_id, void_int *num_elem_this_blk, void_int *start, void_int *count, real *elem_var_vals, int *ierr)
void F2C() | EXPEVS (int *idne, int *time_step, int *elem_var_index, entity_id *elem_blk_id, void_int *start, void_int *count, real *elem_var_vals, int *ierr)
void F2C() | EXGNNV (int *idne, int *time_step, int *nodal_var_index, void_int *start, void_int *count, real *nodal_vars, int *ierr)
void F2C() | EXPNVS (int *idne, int *time_step, int *nodal_var_index, void_int *start, void_int *count, real *nodal_var_vals, int *ierr)
void F2C() | EXGNENM (int *idne, void_int *starte, void_int *num_ent, void_int *elem_map, int *ierr)
void F2C() | EXPNENM (int *idne, void_int *starte, void_int *num_ent, void_int *elem_map, int *ierr)
void F2C() | EXGNNNM (int *idne, void_int *startn, void_int *num_ent, void_int *node_map, int *ierr)
void F2C() | EXPNNNM (int *idne, void_int *startn, void_int *num_ent, void_int *node_map, int *ierr)
void F2C() | EXGNMP (int *idne, void_int *node_mapi, void_int *node_mapb, void_int *node_mape, int *processor, int *ierr)
void F2C() | EXPNMP (int *idne, void_int *node_mapi, void_int *node_mapb, void_int *node_mape, int *processor, int *ierr)
void F2C() | EXGEMP (int *idne, void_int *elem_mapi, void_int *elem_mapb, int *processor, int *ierr)
void F2C() | EXPEMP (int *idne, void_int *elem_mapi, void_int *elem_mapb, int *processor, int *ierr)
void F2C() | EXGCMP (int *idne, void_int *ncmap_ids, void_int *ncmap_node_cnts, void_int *ecmap_ids, void_int *ecmap_elem_cnts, int *processor, int *ierr)
void F2C() | EXPCMP (int *idne, void_int *nmap_ids, void_int *nmap_node_cnts, void_int *emap_ids, void_int *emap_elem_cnts, int *processor, int *ierr)
void F2C() | EXPCMPC (int *idne, void_int *nmap_ids, void_int *nmap_node_cnts, void_int *nproc_ptrs, void_int *emap_ids, void_int *emap_elem_cnts, void_int *eproc_ptrs, int *ierr)
void F2C() | EXGNCM (int *idne, entity_id *map_id, void_int *node_ids, void_int *proc_ids, int *processor, int *ierr)
void F2C() | EXPNCM (int *idne, entity_id *map_id, void_int *node_ids, void_int *proc_ids, int *processor, int *ierr)
void F2C() | EXGECM (int *idne, entity_id *map_id, void_int *elem_ids, void_int *side_ids, void_int *proc_ids, int *processor, int *ierr)
void F2C() | EXPECM (int *idne, entity_id *map_id, void_int *elem_ids, void_int *side_ids, void_int *proc_ids, int *processor, int *ierr)

## Variables
int | ncopts
int | exerrval

## Macro Definition Documentation

## ◆ entity_id

#define entity_id int

## ◆ F2C

#define F2C | ( |  | name | ) | name

## ◆ real

#define real float

## Function Documentation

## ◆ ex_fcdcpy()

static void ex_fcdcpy | ( | char * | fstring,
|  | int | fslen,
|  | char * | sstring
| ) |  |
| static

## ◆ ex_fstrncpy()

static void ex_fstrncpy | ( | char * | target,
|  | char * | source,
|  | int | maxlen
| ) |  |
| static

## ◆ ex_nstrncpy()

static void ex_nstrncpy | ( | char * | target,
|  | char * | source,
|  | int | maxlen
| ) |  |
| static

## ◆ EXCLOS()

void F2C() EXCLOS | ( | int * | idexo,
|  | int * | ierr
| ) |  |

## ◆ EXCN2S()

void F2C() EXCN2S | ( | int * | idexo,
|  | void_int * | num_elem_per_set,
|  | void_int * | num_nodes_per_set,
|  | void_int * | side_sets_elem_index,
|  | void_int * | side_sets_node_index,
|  | void_int * | side_sets_elem_list,
|  | void_int * | side_sets_node_list,
|  | void_int * | side_sets_side_list,
|  | int * | ierr
| ) |  |

## ◆ EXCOPY()

void F2C() EXCOPY | ( | int * | idexo_in,
|  | int * | idexo_out,
|  | int * | ierr
| ) |  |

## ◆ EXCPWS()

int F2C() EXCPWS | ( |  | ) |

## ◆ EXCRE()

int F2C() EXCRE | ( | char * | path,
|  | int * | clobmode,
|  | int * | cpu_word_size,
|  | int * | io_word_size,
|  | int * | ierr,
|  | int | pathlen
| ) |  |

## ◆ EXERR()

void F2C() EXERR | ( | char * | pname,
|  | char * | err_string,
|  | int * | errcode,
|  | int | pnamelen,
|  | int | err_stringlen
| ) |  |

## ◆ EXGATM()

void F2C() EXGATM | ( | int * | idexo,
|  | real * | time_values,
|  | int * | ierr
| ) |  |

## ◆ EXGCMP()

void F2C() EXGCMP | ( | int * | idne,
|  | void_int * | ncmap_ids,
|  | void_int * | ncmap_node_cnts,
|  | void_int * | ecmap_ids,
|  | void_int * | ecmap_elem_cnts,
|  | int * | processor,
|  | int * | ierr
| ) |  |

## ◆ EXGCNS()

void F2C() EXGCNS | ( | int * | idexo,
|  | void_int * | node_set_ids,
|  | void_int * | num_nodes_per_set,
|  | void_int * | num_dist_per_set,
|  | void_int * | node_sets_node_index,
|  | void_int * | node_sets_dist_index,
|  | void_int * | node_sets_node_list,
|  | real * | node_sets_dist_fact,
|  | int * | ierr
| ) |  |

## ◆ EXGCON()

void F2C() EXGCON | ( | int * | idexo,
|  | char * | coord_names,
|  | int * | ierr,
|  | int | coord_nameslen
| ) |  |

## ◆ EXGCOR()

void F2C() EXGCOR | ( | int * | idexo,
|  | real * | x_coor,
|  | real * | y_coor,
|  | real * | z_coor,
|  | int * | ierr
| ) |  |

## ◆ EXGCSS()

void F2C() EXGCSS | ( | int * | idexo,
|  | void_int * | side_set_ids,
|  | void_int * | num_elem_per_set,
|  | void_int * | num_dist_per_set,
|  | void_int * | side_sets_elem_index,
|  | void_int * | side_sets_dist_index,
|  | void_int * | side_sets_elem_list,
|  | void_int * | side_sets_side_list,
|  | real * | side_sets_dist_fact,
|  | int * | ierr
| ) |  |

## ◆ EXGCSSC()

void F2C() EXGCSSC | ( | int * | idexo,
|  | int * | side_set_node_cnt_list,
|  | int * | ierr
| ) |  |

## ◆ EXGCSSF()

void F2C() EXGCSSF | ( | int * | idexo,
|  | void_int * | side_set_ids,
|  | void_int * | num_elem_per_set,
|  | void_int * | num_dist_per_set,
|  | void_int * | side_sets_elem_index,
|  | void_int * | side_sets_dist_index,
|  | void_int * | side_sets_elem_list,
|  | void_int * | side_sets_side_list,
|  | int * | ierr
| ) |  |

## ◆ EXGEAN()

void F2C() EXGEAN | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | int * | num_attr,
|  | char * | names,
|  | int * | ierr,
|  | int | nameslen
| ) |  |

## ◆ EXGEAT()

void F2C() EXGEAT | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | real * | attrib,
|  | int * | ierr
| ) |  |

## ◆ EXGEBI()

void F2C() EXGEBI | ( | int * | idexo,
|  | void_int * | elem_blk_ids,
|  | int * | ierr
| ) |  |

## ◆ EXGEBIG()

void F2C() EXGEBIG | ( | int * | idne,
|  | void_int * | el_blk_ids,
|  | void_int * | el_blk_cnts,
|  | int * | ierr
| ) |  |

## ◆ EXGECM()

void F2C() EXGECM | ( | int * | idne,
|  | entity_id * | map_id,
|  | void_int * | elem_ids,
|  | void_int * | side_ids,
|  | void_int * | proc_ids,
|  | int * | processor,
|  | int * | ierr
| ) |  |

## ◆ EXGECPP()

void F2C() EXGECPP | ( | int * | idexo,
|  | int * | obj_type,
|  | entity_id * | elem_blk_id,
|  | int * | counts,
|  | int * | ierr
| ) |  |

## ◆ EXGELB()

void F2C() EXGELB | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | char * | elem_type,
|  | void_int * | num_elem_this_blk,
|  | void_int * | num_nodes_per_elem,
|  | void_int * | num_attr,
|  | int * | ierr,
|  | int | elem_typelen
| ) |  |

## ◆ EXGELC()

void F2C() EXGELC | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | void_int * | connect,
|  | int * | ierr
| ) |  |

## ◆ EXGELT()

void F2C() EXGELT | ( | int * | idne,
|  | entity_id * | elem_blk_id,
|  | char * | elem_type,
|  | int * | ierr,
|  | size_t | elem_typelen
| ) |  |

## ◆ EXGEM()

void F2C() EXGEM | ( | int * | idexo,
|  | entity_id * | map_id,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

## ◆ EXGEMP()

void F2C() EXGEMP | ( | int * | idne,
|  | void_int * | elem_mapi,
|  | void_int * | elem_mapb,
|  | int * | processor,
|  | int * | ierr
| ) |  |

## ◆ EXGENM()

void F2C() EXGENM | ( | int * | idexo,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

## ◆ EXGEV()

void F2C() EXGEV | ( | int * | idexo,
|  | int * | time_step,
|  | int * | elem_var_index,
|  | entity_id * | elem_blk_id,
|  | void_int * | num_elem_this_blk,
|  | real * | elem_var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXGEVT()

void F2C() EXGEVT | ( | int * | idexo,
|  | int * | elem_var_index,
|  | void_int * | elem_number,
|  | int * | beg_time_step,
|  | int * | end_time_step,
|  | real * | elem_var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXGFRM()

void F2C() EXGFRM | ( | int * | idexo,
|  | int * | nframeo,
|  | void_int * | cfids,
|  | real * | coord,
|  | int * | tags,
|  | int * | ierr
| ) |  |

## ◆ EXGGV()

void F2C() EXGGV | ( | int * | idexo,
|  | int * | time_step,
|  | int * | num_glob_vars,
|  | real * | glob_var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXGGVT()

void F2C() EXGGVT | ( | int * | idexo,
|  | int * | glob_var_index,
|  | int * | beg_time_step,
|  | int * | end_time_step,
|  | real * | glob_var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXGIG()

void F2C() EXGIG | ( | int * | idne,
|  | void_int * | nnodes_g,
|  | void_int * | nelems_g,
|  | void_int * | nelem_blks_g,
|  | void_int * | nnode_sets_g,
|  | void_int * | nside_sets_g,
|  | int * | ierr
| ) |  |

## ◆ EXGII()

void F2C() EXGII | ( | int * | idne,
|  | int * | nproc,
|  | int * | nproc_in_f,
|  | char * | ftype,
|  | int * | ierr,
|  | size_t | ftypelen
| ) |  |

## ◆ EXGINF()

void F2C() EXGINF | ( | int * | idexo,
|  | char * | info,
|  | int * | ierr,
|  | int | infolen
| ) |  |

printf("[exginf] rec: %d , %s\n",i,*(aptr+i));

## ◆ EXGINI()

void F2C() EXGINI | ( | int * | idexo,
|  | char * | title,
|  | void_int * | num_dim,
|  | void_int * | num_nodes,
|  | void_int * | num_elem,
|  | void_int * | num_elem_blk,
|  | void_int * | num_node_sets,
|  | void_int * | num_side_sets,
|  | int * | ierr,
|  | int | titlelen
| ) |  |

## ◆ EXGLBP()

void F2C() EXGLBP | ( | int * | idne,
|  | void_int * | nint_nodes,
|  | void_int * | nbor_nodes,
|  | void_int * | next_nodes,
|  | void_int * | nint_elems,
|  | void_int * | nbor_elems,
|  | void_int * | nnode_cmaps,
|  | void_int * | nelem_cmaps,
|  | int * | processor,
|  | int * | ierr
| ) |  |

## ◆ EXGMAP()

void F2C() EXGMAP | ( | int * | idexo,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

## ◆ EXGMP()

void F2C() EXGMP | ( | int * | idexo,
|  | int * | num_node_maps,
|  | int * | num_elem_maps,
|  | int * | ierr
| ) |  |

## ◆ EXGNAMS()

void F2C() EXGNAMS | ( | int * | idexo,
|  | int * | type,
|  | int * | num_obj,
|  | char * | names,
|  | int * | ierr,
|  | int | nameslen
| ) |  |

## ◆ EXGNCM()

void F2C() EXGNCM | ( | int * | idne,
|  | entity_id * | map_id,
|  | void_int * | node_ids,
|  | void_int * | proc_ids,
|  | int * | processor,
|  | int * | ierr
| ) |  |

## ◆ EXGNCOR()

void F2C() EXGNCOR | ( | int * | idne,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | x_coor,
|  | real * | y_coor,
|  | real * | z_coor,
|  | int * | ierr
| ) |  |

## ◆ EXGNEAT()

void F2C() EXGNEAT | ( | int * | idne,
|  | entity_id * | elem_blk_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | attrib,
|  | int * | ierr
| ) |  |

## ◆ EXGNEC()

void F2C() EXGNEC | ( | int * | idne,
|  | entity_id * | elem_blk_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | connect,
|  | int * | ierr
| ) |  |

## ◆ EXGNENM()

void F2C() EXGNENM | ( | int * | idne,
|  | void_int * | starte,
|  | void_int * | num_ent,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

## ◆ EXGNEV()

void F2C() EXGNEV | ( | int * | idne,
|  | int * | time_step,
|  | int * | elem_var_index,
|  | entity_id * | elem_blk_id,
|  | void_int * | num_elem_this_blk,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | elem_var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXGNM()

void F2C() EXGNM | ( | int * | idexo,
|  | entity_id * | map_id,
|  | void_int * | node_map,
|  | int * | ierr
| ) |  |

## ◆ EXGNMP()

void F2C() EXGNMP | ( | int * | idne,
|  | void_int * | node_mapi,
|  | void_int * | node_mapb,
|  | void_int * | node_mape,
|  | int * | processor,
|  | int * | ierr
| ) |  |

## ◆ EXGNNM()

void F2C() EXGNNM | ( | int * | idexo,
|  | void_int * | node_map,
|  | int * | ierr
| ) |  |

## ◆ EXGNNNM()

void F2C() EXGNNNM | ( | int * | idne,
|  | void_int * | startn,
|  | void_int * | num_ent,
|  | void_int * | node_map,
|  | int * | ierr
| ) |  |

## ◆ EXGNNS()

void F2C() EXGNNS | ( | int * | idne,
|  | entity_id * | ns_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | ns_node_list,
|  | int * | ierr
| ) |  |

## ◆ EXGNNSD()

void F2C() EXGNNSD | ( | int * | idne,
|  | entity_id * | ns_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | ns_df,
|  | int * | ierr
| ) |  |

## ◆ EXGNNV()

void F2C() EXGNNV | ( | int * | idne,
|  | int * | time_step,
|  | int * | nodal_var_index,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | nodal_vars,
|  | int * | ierr
| ) |  |

## ◆ EXGNP()

void F2C() EXGNP | ( | int * | idexo,
|  | entity_id * | node_set_id,
|  | void_int * | num_nodes_in_set,
|  | void_int * | num_dist_in_set,
|  | int * | ierr
| ) |  |

## ◆ EXGNS()

void F2C() EXGNS | ( | int * | idexo,
|  | entity_id * | node_set_id,
|  | void_int * | node_set_node_list,
|  | int * | ierr
| ) |  |

## ◆ EXGNSD()

void F2C() EXGNSD | ( | int * | idexo,
|  | entity_id * | node_set_id,
|  | real * | node_set_dist_fact,
|  | int * | ierr
| ) |  |

## ◆ EXGNSI()

void F2C() EXGNSI | ( | int * | idexo,
|  | void_int * | node_set_ids,
|  | int * | ierr
| ) |  |

## ◆ EXGNSPG()

void F2C() EXGNSPG | ( | int * | idne,
|  | void_int * | ns_ids_glob,
|  | void_int * | ns_n_cnt_glob,
|  | void_int * | ns_df_cnt_glob,
|  | int * | ierr
| ) |  |

## ◆ EXGNSS()

void F2C() EXGNSS | ( | int * | idne,
|  | entity_id * | ss_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | ss_elem_list,
|  | void_int * | ss_side_list,
|  | int * | ierr
| ) |  |

## ◆ EXGNSSD()

void F2C() EXGNSSD | ( | int * | idne,
|  | entity_id * | ss_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | ss_df,
|  | int * | ierr
| ) |  |

## ◆ EXGNSTT()

void F2C() EXGNSTT | ( | int * | idexo,
|  | int * | num_entity,
|  | int * | num_var,
|  | int * | var_tab,
|  | int * | ierr
| ) |  |

## ◆ EXGNSV()

void F2C() EXGNSV | ( | int * | idexo,
|  | int * | time_step,
|  | int * | var_index,
|  | entity_id * | id,
|  | void_int * | num_entity,
|  | real * | var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXGNV()

void F2C() EXGNV | ( | int * | idexo,
|  | int * | time_step,
|  | int * | nodal_var_index,
|  | void_int * | num_nodes,
|  | real * | nodal_var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXGNVT()

void F2C() EXGNVT | ( | int * | idexo,
|  | int * | nodal_var_index,
|  | void_int * | node_number,
|  | int * | beg_time_step,
|  | int * | end_time_step,
|  | real * | nodal_var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXGP()

void F2C() EXGP | ( | int * | idexo,
|  | int * | obj_type,
|  | entity_id * | obj_id,
|  | char * | prop_name,
|  | void_int * | value,
|  | int * | ierr,
|  | int | prop_namelen
| ) |  |

## ◆ EXGPA()

void F2C() EXGPA | ( | int * | idexo,
|  | int * | obj_type,
|  | char * | prop_name,
|  | void_int * | values,
|  | int * | ierr,
|  | int | prop_namelen
| ) |  |

## ◆ EXGPEM()

void F2C() EXGPEM | ( | int * | idexo,
|  | entity_id * | map_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

## ◆ EXGPN()

void F2C() EXGPN | ( | int * | idexo,
|  | int * | obj_type,
|  | char * | prop_names,
|  | int * | ierr,
|  | int | prop_nameslen
| ) |  |

## ◆ EXGQA()

void F2C() EXGQA | ( | int * | idexo,
|  | char * | qa_record,
|  | int * | ierr,
|  | int | qa_recordlen
| ) |  |

## ◆ EXGSNL()

void F2C() EXGSNL | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | void_int * | num_nodes_in_set,
|  | int * | ierr
| ) |  |

## ◆ EXGSP()

void F2C() EXGSP | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | void_int * | num_sides_in_set,
|  | void_int * | num_df_in_set,
|  | int * | ierr
| ) |  |

## ◆ EXGSS()

void F2C() EXGSS | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | void_int * | side_set_elem_list,
|  | void_int * | side_set_side_list,
|  | int * | ierr
| ) |  |

## ◆ EXGSSC()

void F2C() EXGSSC | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | int * | side_set_node_cnt_list,
|  | int * | ierr
| ) |  |

## ◆ EXGSSD()

void F2C() EXGSSD | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | real * | side_set_dist_fact,
|  | int * | ierr
| ) |  |

## ◆ EXGSSI()

void F2C() EXGSSI | ( | int * | idexo,
|  | void_int * | side_set_ids,
|  | int * | ierr
| ) |  |

## ◆ EXGSSN()

void F2C() EXGSSN | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | int * | side_set_node_cnt_list,
|  | void_int * | side_set_node_list,
|  | int * | ierr
| ) |  |

## ◆ EXGSSPG()

void F2C() EXGSSPG | ( | int * | idne,
|  | void_int * | ss_ids_glob,
|  | void_int * | ss_n_cnt_glob,
|  | void_int * | ss_df_cnt_glob,
|  | int * | ierr
| ) |  |

## ◆ EXGSSTT()

void F2C() EXGSSTT | ( | int * | idexo,
|  | int * | num_entity,
|  | int * | num_var,
|  | int * | var_tab,
|  | int * | ierr
| ) |  |

## ◆ EXGSSV()

void F2C() EXGSSV | ( | int * | idexo,
|  | int * | time_step,
|  | int * | var_index,
|  | entity_id * | id,
|  | void_int * | num_entity,
|  | real * | var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXGTIM()

void F2C() EXGTIM | ( | int * | idexo,
|  | int * | time_step,
|  | real * | time_value,
|  | int * | ierr
| ) |  |

## ◆ EXGVAN()

void F2C() EXGVAN | ( | int * | idexo,
|  | char * | var_type,
|  | int * | num_vars,
|  | char * | var_names,
|  | int * | ierr,
|  | int | var_typelen,
|  | int | var_nameslen
| ) |  |

## ◆ EXGVNM()

void F2C() EXGVNM | ( | int * | idexo,
|  | char * | var_type,
|  | int * | var_index,
|  | char * | var_name,
|  | int * | ierr,
|  | int | var_typelen,
|  | int | var_namelen
| ) |  |

printf("[exgvnm] var_name(%d): %s\n",*var_index,sptr));

## ◆ EXGVP()

void F2C() EXGVP | ( | int * | idexo,
|  | char * | var_type,
|  | int * | num_vars,
|  | int * | ierr,
|  | int | var_typelen
| ) |  |

## ◆ EXGVTT()

void F2C() EXGVTT | ( | int * | idexo,
|  | int * | num_elem_blk,
|  | int * | num_elem_var,
|  | int * | elem_var_tab,
|  | int * | ierr
| ) |  |

## ◆ EXINQ()

void F2C() EXINQ | ( | int * | idexo,
|  | int * | req_info,
|  | void_int * | ret_int,
|  | float * | ret_float,
|  | char * | ret_char,
|  | int * | ierr,
|  | int | ret_charlen
| ) |  |

## ◆ EXINQI()

int64_t F2C() EXINQI | ( | int * | idexo,
|  | int * | req_info
| ) |  |

## ◆ EXLGMD()

int F2C() EXLGMD | ( | int * | idexo | ) |

## ◆ EXMXNM()

void F2C() EXMXNM | ( | int * | idexo,
|  | int * | length,
|  | int * | ierr
| ) |  |

## ◆ EXOPEN()

int F2C() EXOPEN | ( | char * | path,
|  | int * | mode,
|  | int * | cpu_word_size,
|  | int * | io_word_size,
|  | float * | version,
|  | int * | ierr,
|  | int | pathlen
| ) |  |

## ◆ EXOPTS()

void F2C() EXOPTS | ( | int * | option_val,
|  | int * | ierr
| ) |  |

## ◆ EXPCLB()

void F2C() EXPCLB | ( | int * | idexo,
|  | void_int * | elem_blk_id,
|  | char * | elem_type,
|  | void_int * | num_elem_this_blk,
|  | void_int * | num_nodes_per_elem,
|  | void_int * | num_attr,
|  | int * | create_maps,
|  | int * | ierr,
|  | int | elem_typelen
| ) |  |

## ◆ EXPCMP()

void F2C() EXPCMP | ( | int * | idne,
|  | void_int * | nmap_ids,
|  | void_int * | nmap_node_cnts,
|  | void_int * | emap_ids,
|  | void_int * | emap_elem_cnts,
|  | int * | processor,
|  | int * | ierr
| ) |  |

## ◆ EXPCMPC()

void F2C() EXPCMPC | ( | int * | idne,
|  | void_int * | nmap_ids,
|  | void_int * | nmap_node_cnts,
|  | void_int * | nproc_ptrs,
|  | void_int * | emap_ids,
|  | void_int * | emap_elem_cnts,
|  | void_int * | eproc_ptrs,
|  | int * | ierr
| ) |  |

## ◆ EXPCNS()

void F2C() EXPCNS | ( | int * | idexo,
|  | void_int * | node_set_ids,
|  | void_int * | num_nodes_per_set,
|  | void_int * | num_dist_per_set,
|  | void_int * | node_sets_node_index,
|  | void_int * | node_sets_dist_index,
|  | void_int * | node_sets_node_list,
|  | real * | node_sets_dist_fact,
|  | int * | ierr
| ) |  |

## ◆ EXPCON()

void F2C() EXPCON | ( | int * | idexo,
|  | char * | coord_names,
|  | int * | ierr,
|  | int | coord_nameslen
| ) |  |

## ◆ EXPCOR()

void F2C() EXPCOR | ( | int * | idexo,
|  | real * | x_coor,
|  | real * | y_coor,
|  | real * | z_coor,
|  | int * | ierr
| ) |  |

## ◆ EXPCSS()

void F2C() EXPCSS | ( | int * | idexo,
|  | void_int * | side_set_ids,
|  | void_int * | num_elem_per_set,
|  | void_int * | num_dist_per_set,
|  | void_int * | side_sets_elem_index,
|  | void_int * | side_sets_dist_index,
|  | void_int * | side_sets_elem_list,
|  | void_int * | side_sets_side_list,
|  | real * | side_sets_dist_fact,
|  | int * | ierr
| ) |  |

## ◆ EXPEAN()

void F2C() EXPEAN | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | int * | num_attr,
|  | char * | names,
|  | int * | ierr,
|  | int | nameslen
| ) |  |

## ◆ EXPEAT()

void F2C() EXPEAT | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | real * | attrib,
|  | int * | ierr
| ) |  |

## ◆ EXPEBIG()

void F2C() EXPEBIG | ( | int * | idne,
|  | void_int * | el_blk_ids,
|  | void_int * | el_blk_cnts,
|  | int * | ierr
| ) |  |

## ◆ EXPECM()

void F2C() EXPECM | ( | int * | idne,
|  | entity_id * | map_id,
|  | void_int * | elem_ids,
|  | void_int * | side_ids,
|  | void_int * | proc_ids,
|  | int * | processor,
|  | int * | ierr
| ) |  |

## ◆ EXPECPP()

void F2C() EXPECPP | ( | int * | idexo,
|  | int * | obj_type,
|  | entity_id * | elem_blk_id,
|  | int * | counts,
|  | int * | ierr
| ) |  |

## ◆ EXPELB()

void F2C() EXPELB | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | char * | elem_type,
|  | void_int * | num_elem_this_blk,
|  | void_int * | num_nodes_per_elem,
|  | void_int * | num_attr,
|  | int * | ierr,
|  | int | elem_typelen
| ) |  |

## ◆ EXPELC()

void F2C() EXPELC | ( | int * | idexo,
|  | entity_id * | elem_blk_id,
|  | void_int * | connect,
|  | int * | ierr
| ) |  |

## ◆ EXPEM()

void F2C() EXPEM | ( | int * | idexo,
|  | entity_id * | map_id,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

## ◆ EXPEMP()

void F2C() EXPEMP | ( | int * | idne,
|  | void_int * | elem_mapi,
|  | void_int * | elem_mapb,
|  | int * | processor,
|  | int * | ierr
| ) |  |

## ◆ EXPENM()

void F2C() EXPENM | ( | int * | idexo,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

## ◆ EXPEV()

void F2C() EXPEV | ( | int * | idexo,
|  | int * | time_step,
|  | int * | elem_var_index,
|  | entity_id * | elem_blk_id,
|  | void_int * | num_elem_this_blk,
|  | real * | elem_var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXPEVS()

void F2C() EXPEVS | ( | int * | idne,
|  | int * | time_step,
|  | int * | elem_var_index,
|  | entity_id * | elem_blk_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | elem_var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXPFRM()

void F2C() EXPFRM | ( | int * | idexo,
|  | int * | nframe,
|  | void_int * | cfids,
|  | real * | coord,
|  | int * | tags,
|  | int * | ierr
| ) |  |

## ◆ EXPGV()

void F2C() EXPGV | ( | int * | idexo,
|  | int * | time_step,
|  | int * | num_glob_vars,
|  | real * | glob_var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXPIG()

void F2C() EXPIG | ( | int * | idne,
|  | void_int * | nnodes_g,
|  | void_int * | nelems_g,
|  | void_int * | nelem_blks_g,
|  | void_int * | nnode_sets_g,
|  | void_int * | nside_sets_g,
|  | int * | ierr
| ) |  |

## ◆ EXPII()

void F2C() EXPII | ( | int * | idne,
|  | int * | nproc,
|  | int * | nproc_in_f,
|  | char * | ftype,
|  | int * | ierr,
|  | size_t | ftypelen
| ) |  |

## ◆ EXPINF()

void F2C() EXPINF | ( | int * | idexo,
|  | int * | num_info,
|  | char * | info,
|  | int * | ierr,
|  | int | infolen
| ) |  |

## ◆ EXPINI()

void F2C() EXPINI | ( | int * | idexo,
|  | char * | title,
|  | void_int * | num_dim,
|  | void_int * | num_nodes,
|  | void_int * | num_elem,
|  | void_int * | num_elem_blk,
|  | void_int * | num_node_sets,
|  | void_int * | num_side_sets,
|  | int * | ierr,
|  | int | titlelen
| ) |  |

## ◆ EXPLBP()

void F2C() EXPLBP | ( | int * | idne,
|  | void_int * | nint_nodes,
|  | void_int * | nbor_nodes,
|  | void_int * | next_nodes,
|  | void_int * | nint_elems,
|  | void_int * | nbor_elems,
|  | void_int * | nnode_cmaps,
|  | void_int * | nelem_cmaps,
|  | int * | processor,
|  | int * | ierr
| ) |  |

## ◆ EXPLBPC()

void F2C() EXPLBPC | ( | int * | idne,
|  | void_int * | nint_nodes,
|  | void_int * | nbor_nodes,
|  | void_int * | next_nodes,
|  | void_int * | nint_elems,
|  | void_int * | nbor_elems,
|  | void_int * | nnode_cmaps,
|  | void_int * | nelem_cmaps,
|  | int * | ierr
| ) |  |

## ◆ EXPMAP()

void F2C() EXPMAP | ( | int * | idexo,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

## ◆ EXPMP()

void F2C() EXPMP | ( | int * | idexo,
|  | int * | num_node_maps,
|  | int * | num_elem_maps,
|  | int * | ierr
| ) |  |

## ◆ EXPNAMS()

void F2C() EXPNAMS | ( | int * | idexo,
|  | int * | type,
|  | int * | num_obj,
|  | char * | names,
|  | int * | ierr,
|  | int | nameslen
| ) |  |

## ◆ EXPNCM()

void F2C() EXPNCM | ( | int * | idne,
|  | entity_id * | map_id,
|  | void_int * | node_ids,
|  | void_int * | proc_ids,
|  | int * | processor,
|  | int * | ierr
| ) |  |

## ◆ EXPNCOR()

void F2C() EXPNCOR | ( | int * | idne,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | x_coor,
|  | real * | y_coor,
|  | real * | z_coor,
|  | int * | ierr
| ) |  |

## ◆ EXPNEAT()

void F2C() EXPNEAT | ( | int * | idne,
|  | entity_id * | elem_blk_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | attrib,
|  | int * | ierr
| ) |  |

## ◆ EXPNEC()

void F2C() EXPNEC | ( | int * | idne,
|  | entity_id * | elem_blk_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | connect,
|  | int * | ierr
| ) |  |

## ◆ EXPNENM()

void F2C() EXPNENM | ( | int * | idne,
|  | void_int * | starte,
|  | void_int * | num_ent,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

## ◆ EXPNM()

void F2C() EXPNM | ( | int * | idexo,
|  | entity_id * | map_id,
|  | void_int * | node_map,
|  | int * | ierr
| ) |  |

## ◆ EXPNMP()

void F2C() EXPNMP | ( | int * | idne,
|  | void_int * | node_mapi,
|  | void_int * | node_mapb,
|  | void_int * | node_mape,
|  | int * | processor,
|  | int * | ierr
| ) |  |

## ◆ EXPNNM()

void F2C() EXPNNM | ( | int * | idexo,
|  | void_int * | node_map,
|  | int * | ierr
| ) |  |

## ◆ EXPNNNM()

void F2C() EXPNNNM | ( | int * | idne,
|  | void_int * | startn,
|  | void_int * | num_ent,
|  | void_int * | node_map,
|  | int * | ierr
| ) |  |

## ◆ EXPNNS()

void F2C() EXPNNS | ( | int * | idne,
|  | entity_id * | ns_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | ns_node_list,
|  | int * | ierr
| ) |  |

## ◆ EXPNNSD()

void F2C() EXPNNSD | ( | int * | idne,
|  | entity_id * | ns_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | ns_df,
|  | int * | ierr
| ) |  |

## ◆ EXPNP()

void F2C() EXPNP | ( | int * | idexo,
|  | entity_id * | node_set_id,
|  | void_int * | num_nodes_in_set,
|  | void_int * | num_dist_in_set,
|  | int * | ierr
| ) |  |

## ◆ EXPNS()

void F2C() EXPNS | ( | int * | idexo,
|  | entity_id * | node_set_id,
|  | void_int * | node_set_node_list,
|  | int * | ierr
| ) |  |

## ◆ EXPNSD()

void F2C() EXPNSD | ( | int * | idexo,
|  | entity_id * | node_set_id,
|  | real * | node_set_dist_fact,
|  | int * | ierr
| ) |  |

## ◆ EXPNSPG()

void F2C() EXPNSPG | ( | int * | idne,
|  | void_int * | global_ids,
|  | void_int * | global_n_cnts,
|  | void_int * | global_df_cnts,
|  | int * | ierr
| ) |  |

## ◆ EXPNSS()

void F2C() EXPNSS | ( | int * | idne,
|  | entity_id * | ss_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | ss_elem_list,
|  | void_int * | ss_side_list,
|  | int * | ierr
| ) |  |

## ◆ EXPNSSD()

void F2C() EXPNSSD | ( | int * | idne,
|  | entity_id * | ss_id,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | ss_df,
|  | int * | ierr
| ) |  |

## ◆ EXPNSTT()

void F2C() EXPNSTT | ( | int * | idexo,
|  | int * | num_entity,
|  | int * | num_var,
|  | int * | var_tab,
|  | int * | ierr
| ) |  |

## ◆ EXPNSV()

void F2C() EXPNSV | ( | int * | idexo,
|  | int * | time_step,
|  | int * | var_index,
|  | entity_id * | id,
|  | void_int * | num_entity,
|  | real * | var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXPNV()

void F2C() EXPNV | ( | int * | idexo,
|  | int * | time_step,
|  | int * | nodal_var_index,
|  | void_int * | num_nodes,
|  | real * | nodal_var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXPNVS()

void F2C() EXPNVS | ( | int * | idne,
|  | int * | time_step,
|  | int * | nodal_var_index,
|  | void_int * | start,
|  | void_int * | count,
|  | real * | nodal_var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXPP()

void F2C() EXPP | ( | int * | idexo,
|  | int * | obj_type,
|  | entity_id * | obj_id,
|  | char * | prop_name,
|  | entity_id * | value,
|  | int * | ierr,
|  | int | prop_namelen
| ) |  |

## ◆ EXPPA()

void F2C() EXPPA | ( | int * | idexo,
|  | int * | obj_type,
|  | char * | prop_name,
|  | void_int * | values,
|  | int * | ierr,
|  | int | prop_namelen
| ) |  |

## ◆ EXPPEM()

void F2C() EXPPEM | ( | int * | idexo,
|  | entity_id * | map_id,
|  | void_int * | start,
|  | void_int * | count,
|  | void_int * | elem_map,
|  | int * | ierr
| ) |  |

## ◆ EXPPN()

void F2C() EXPPN | ( | int * | idexo,
|  | int * | obj_type,
|  | int * | num_props,
|  | char * | prop_names,
|  | int * | ierr,
|  | int | prop_nameslen
| ) |  |

## ◆ EXPQA()

void F2C() EXPQA | ( | int * | idexo,
|  | int * | num_qa_records,
|  | char * | qa_record,
|  | int * | ierr,
|  | int | qa_recordlen
| ) |  |

## ◆ EXPSP()

void F2C() EXPSP | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | void_int * | num_sides_in_set,
|  | void_int * | num_df_in_set,
|  | int * | ierr
| ) |  |

## ◆ EXPSS()

void F2C() EXPSS | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | void_int * | side_set_elem_list,
|  | void_int * | side_set_side_list,
|  | int * | ierr
| ) |  |

## ◆ EXPSSD()

void F2C() EXPSSD | ( | int * | idexo,
|  | entity_id * | side_set_id,
|  | real * | side_set_dist_fact,
|  | int * | ierr
| ) |  |

## ◆ EXPSSPG()

void F2C() EXPSSPG | ( | int * | idne,
|  | void_int * | global_ids,
|  | void_int * | global_el_cnts,
|  | void_int * | global_df_cnts,
|  | int * | ierr
| ) |  |

## ◆ EXPSSTT()

void F2C() EXPSSTT | ( | int * | idexo,
|  | int * | num_entity,
|  | int * | num_var,
|  | int * | var_tab,
|  | int * | ierr
| ) |  |

## ◆ EXPSSV()

void F2C() EXPSSV | ( | int * | idexo,
|  | int * | time_step,
|  | int * | var_index,
|  | entity_id * | id,
|  | void_int * | num_entity,
|  | real * | var_vals,
|  | int * | ierr
| ) |  |

## ◆ EXPTIM()

void F2C() EXPTIM | ( | int * | idexo,
|  | int * | time_step,
|  | real * | time_value,
|  | int * | ierr
| ) |  |

## ◆ EXPVAN()

void F2C() EXPVAN | ( | int * | idexo,
|  | char * | var_type,
|  | int * | num_vars,
|  | char * | var_names,
|  | int * | ierr,
|  | int | var_typelen,
|  | int | var_nameslen
| ) |  |

## ◆ EXPVNM()

void F2C() EXPVNM | ( | int * | idexo,
|  | char * | var_type,
|  | int * | var_index,
|  | char * | var_name,
|  | int * | ierr,
|  | int | var_typelen,
|  | int | var_namelen
| ) |  |

## ◆ EXPVP()

void F2C() EXPVP | ( | int * | idexo,
|  | char * | var_type,
|  | int * | num_vars,
|  | int * | ierr,
|  | int | var_typelen
| ) |  |

## ◆ EXPVTT()

void F2C() EXPVTT | ( | int * | idexo,
|  | int * | num_elem_blk,
|  | int * | num_elem_var,
|  | int * | elem_var_tab,
|  | int * | ierr
| ) |  |

## ◆ EXUPDA()

void F2C() EXUPDA | ( | int * | idexo,
|  | int * | ierr
| ) |  |

## Variable Documentation

## ◆ exerrval

int exerrval

shared error return value

## ◆ ncopts

int ncopts